Show / Hide Table of Contents

# Class PartyMember

##### Inheritance

System.Object
PartyMember

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class PartyMember

### Constructors

| Improve this Doc View Source

#### PartyMember(ActorTable, PartyMember)

##### Declaration

    public PartyMember(ActorTable table, PartyMember rawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ActorTable | table |
PartyMember | rawData |

### Fields

| Improve this Doc View Source

#### Actor

##### Declaration

    public Actor Actor

##### Field Value

Type | Description
--- | ---
Actor |

| Improve this Doc View Source

#### CharacterName

##### Declaration

    public string CharacterName

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ObjectKind

##### Declaration

    public ObjectKind ObjectKind

##### Field Value

Type | Description
--- | ---
ObjectKind |

| Improve this Doc View Source

#### Unknown

##### Declaration

    public long Unknown

##### Field Value

Type | Description
--- | ---
System.Int64 |